Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class SetOverrideType

    java.lang.Object
      |
      +--org.omg.CORBA.SetOverrideType

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class SetOverrideType
extends java.lang.Object
implements IDLEntity

Enum definition : SetOverrideType

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`static int` | `_ADD_OVERRIDE` Enum member ADD_OVERRIDE value
`static int` | `_SET_OVERRIDE` Enum member SET_OVERRIDE value
`static SetOverrideType` | `ADD_OVERRIDE` Enum member ADD_OVERRIDE
`static SetOverrideType` | `SET_OVERRIDE` Enum member SET_OVERRIDE

Method Summary
`static SetOverrideType` | `from_int(int value)` Return a enum member from its value
`java.lang.Object` | `readResolve()` Maintains singleton property for serialized enums.
`java.lang.String` | `toString()` Return a string representation
`int` | `value()` Return the internal member value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _SET_OVERRIDE

    public static final int _SET_OVERRIDE

  Enum member SET_OVERRIDE value

### SET_OVERRIDE

    public static final SetOverrideType SET_OVERRIDE

  Enum member SET_OVERRIDE

### _ADD_OVERRIDE

    public static final int _ADD_OVERRIDE

  Enum member ADD_OVERRIDE value

### ADD_OVERRIDE

    public static final SetOverrideType ADD_OVERRIDE

  Enum member ADD_OVERRIDE

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Maintains singleton property for serialized enums. Issue 4271: IDL/Java issue, Mapping for IDL enum.

### value

    public int value()

  Return the internal member value
  Returns:
    the member value

### from_int

    public static SetOverrideType from_int(int value)

  Return a enum member from its value
  Parameters:
    `an` - enum value
  Returns:
    an enum member

### toString

    public java.lang.String toString()

  Return a string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the enumeration

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD